<?php
/**************** WPC Long-Term Outlook Version 20180919 ******************/
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
} 
############################################################################
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NWS CPC Long-Term Temperature and Precipitation Outlooks"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS CPC Long-Term Temperature and Precipitation Outlooks');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NWS CPC Long-Term Temperature and Precipitation Outlooks';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
?>
<style type="text/css">
.hidden {
	display: none;
	position: absolute;
	left: 0px;
	top:  0px;
	}
.shown {
	display: block;
	position: absolute;
	left: 0px;
	top:  0px;
	}
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
	}
</style>
<?php if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
} else {
	date_default_timezone_set("America/New_York");
}
if (!function_exists('getUniqueImageURL')) {
	function getUniqueImageURL($image_url){
		$timestamp = time();
		if(strpos($image_url, '?')){
			$image_url = str_replace('?', "?$timestamp&", $image_url);
		}
		else{
			$image_url .= "?$timestamp";
		}
		return $image_url;
	}
} ?>
<?php
############################################################################
// Settings
$divWidth = 657;	// Set page width here - 656 works as default for Saratoga templates with style="border:inset"
$maxWidth = 768;
$mouseOver = true; // Set to true for map change onmouseover, false for map change onclick.
// End of Settings
$wideScreen = isset($_SESSION['CSSwidescreen'])?1:0;
if ($wideScreen) {
	$divWidth = $_SESSION['CSSwidescreen']==1?$maxWidth:$divWidth;
} else if ($standAlone) $divWidth = $maxWidth;
$wideScreen = $wideScreen && $_SESSION['CSSwidescreen']==1;
$imageWidth = (($divWidth<$maxWidth)?$divWidth:$maxWidth);			// Image Width
$imageHeight = round($imageWidth*0.983);	// Image Height
?>
<?php echo $standAlone||$wideScreen?'
<style type="text/css">
body {
  font-family: "arial", sans-serif;
}
</style>
':''?>
<script language="Javascript" type="text/javascript">
function show_tab(nam)
   {
		<?php for ($i=1; $i<14; $i++) {
			echo 'document.getElementById("mos'.$i.'").style.display= "none";';
		}?>
   document.getElementById(nam).style.display = "block";
   };
function show_tab2(nam)
   {
		<?php for ($i=1; $i<14; $i++) {
			echo 'document.getElementById("mos'.$i.'p").style.display= "none";';
		}?>
   document.getElementById(nam).style.display = "block";
   };
function toggle_section(){ /* Simple toggle function */
	if (document.getElementById('precipOutlook').style.display == 'none') {
		document.getElementById('precipOutlook').style.display = 'block';
		document.getElementById('tempOutlook').style.display = 'none';
		document.getElementById('precipBlock').style.display = 'block';
		document.getElementById('tempBlock').style.display = 'none';
	} else {
		document.getElementById('precipOutlook').style.display = 'none';
		document.getElementById('tempOutlook').style.display = 'block';
		document.getElementById('precipBlock').style.display = 'none';
		document.getElementById('tempBlock').style.display = 'block';
	}
}
</script>
</head>
<body>
<?php
############################################################################
// Maps are updated on the 3rd Thursday of the month which may be anywhere from the 15th to the 20th.
date_default_timezone_set("US/Eastern");	# The NWS calculations are based on US/Eastern Timezone
$day_hour = date("G"); // The current hour
$day_minute = date("i"); // The current minute
$day_mon = date("d"); // The current day of the month
//$day_mon = 1; // Debug Code
$cur_mon = date("n"); // The current month
//$cur_mon = 11; // Debug Code
$last_mon = ($cur_mon==1)?12:$cur_mon-1; // Last month
$cur_year = date("Y"); // The current year
//$cur_year = 2015; // Debug Code
$yrPlus = $cur_year + 1;	// Next year
$yrPlus2 = $cur_year + 2; // Year after next
// Find the third Thursday's day of month by adding 2 wks. to first Thursday
$firstthurs=strtotime("next thursday",mktime(0,0,0,$cur_mon,1));
$thirdthurs_day_no=date('d',$firstthurs+60*60*24*14);// Compute third thursday rather than first, so add two weeks
//$script_tz = date_default_timezone_get(); // Debug Code
//echo '$script_tz = '.$script_tz.'<br/>'; // Debug Code 
//echo 'Third Thursday of '.$cur_mon.'/'.$cur_year.' is day '.$thirdthurs_day_no.'<br/>';  // Debug Code
if ( (($day_mon==$thirdthurs_day_no && ($day_hour>8 || ($day_hour==8 && $day_minute>=30)) )
		// Are we past 8:30 AM on the third Thursday of the month,
		|| $day_mon>$thirdthurs_day_no) ) { // or are we past the third Thursday?
	$moStart = $cur_mon;			// If so, use the current month.
} else {
	$moStart = $last_mon;			// Otherwise use the previous month.
}
#echo '$moStart = '.$moStart.' and $yrPlus = '.$yrPlus.'<br/>'; // Debug Code
#echo '$cur_mon = '.$cur_mon.', and $last_mon = '.$last_mon.'<br/>'; // Debug Code
$moSequence = array();  // Fixed Sequence of Months
// Populate Sequence of Months
if ( ($moStart!=2) ) {
	if ($moStart>2&&$last_mon!=12){ $moSequence[1]=("FMA/".$yrPlus);} else {$moSequence[1]="FMA";};
	if ($moStart>=3&&$last_mon!=12){ $moSequence[2]=("MAM/".$yrPlus);} else {$moSequence[2]="MAM";};
	if ($moStart>=4&&$last_mon!=12){ $moSequence[3]=("AMJ/".$yrPlus);} else {$moSequence[3]="AMJ";};
	if ($moStart>=5&&$last_mon!=12){ $moSequence[4]=("MJJ/".$yrPlus);} else {$moSequence[4]="MJJ";};
	if ($moStart>=6&&$last_mon!=12){ $moSequence[5]=("JJA/".$yrPlus);} else {$moSequence[5]="JJA";};
	if ($moStart>=7&&$last_mon!=12){ $moSequence[6]=("JAS/".$yrPlus);} else {$moSequence[6]="JAS";};
	if ($moStart>=8&&$last_mon!=12){ $moSequence[7]=("ASO/".$yrPlus);} else {$moSequence[7]="ASO";};
	if ($moStart>=9&&$last_mon!=12){ $moSequence[8]=("SON/".$yrPlus);} else {$moSequence[8]="SON";};
	if ($moStart>=10&$last_mon!=12){ $moSequence[9]=("OND/".$yrPlus);} else {$moSequence[9]="OND";};
	if ($moStart>=11&&$last_mon!=12){ $moSequence[10]="ND/".$yrPlus."-J/".$yrPlus2;} else {$moSequence[10]="ND/".$cur_year."-J/".$yrPlus;};
	if ($moStart>11&&$moStart==$cur_mon){ $moSequence[11]="D/".$yrPlus."-JF/".$yrPlus2;} else {$moSequence[11]="D/".$cur_year."-JF/".$yrPlus;};
	if ($last_mon!=12){ $moSequence[12]="JFM/".($yrPlus);} else {$moSequence[12]="JFM";};
} else { // $moStart == 2
	if ($moStart>=3&&$last_mon!=12){ $moSequence[1]=("MAM/".$yrPlus);} else {$moSequence[1]="MAM";};
	if ($moStart>=4&&$last_mon!=12){ $moSequence[2]=("AMJ/".$yrPlus);} else {$moSequence[2]="AMJ";};
	if ($moStart>=5&&$last_mon!=12){ $moSequence[3]=("MJJ/".$yrPlus);} else {$moSequence[3]="MJJ";};
	if ($moStart>=6&&$last_mon!=12){ $moSequence[4]=("JJA/".$yrPlus);} else {$moSequence[4]="JJA";};
	if ($moStart>=7&&$last_mon!=12){ $moSequence[5]=("JAS/".$yrPlus);} else {$moSequence[5]="JAS";};
	if ($moStart>=8&&$last_mon!=12){ $moSequence[6]=("ASO/".$yrPlus);} else {$moSequence[6]="ASO";};
	if ($moStart>=9&&$last_mon!=12){ $moSequence[7]=("SON/".$yrPlus);} else {$moSequence[7]="SON";};
	if ($moStart>=10&$last_mon!=12){ $moSequence[8]=("OND/".$yrPlus);} else {$moSequence[8]="OND";};
	if ($moStart==11){ $moSequence[9]="ND/".$yrPlus."-J/".$yrPlus2;} else {$moSequence[9]="ND/".$cur_year."-J/".$yrPlus;};
	if ($moStart>11&&$moStart==$cur_mon){ $moSequence[10]="D/".$yrPlus."-JF/".$yrPlus2;} else {$moSequence[10]="D/".$cur_year."-JF/".$yrPlus;};
	if ($moStart>11&&$moStart==$cur_mon){ $moSequence[11]="JFM/".$yrPlus2;} else {$moSequence[11]="JFM/".$yrPlus;};
	if ($last_mon!=12){ $moSequence[12]="FMA/".($yrPlus);} else {$moSequence[12]="FMA";};
}

//for ($i=1; $i<13; $i++) echo '$moSequence['.$i.'] = '.$moSequence[$i].'<br/>'; // Debug Code
$lastVal = $moSequence[($moStart==1)?12:$moStart-1];	// Save the last string - it is lost in the array_shift/array_push process
//$lastVal = $moSequence[($moStart==2&&($moStart==$cur_mon))?$moStart:$moStart-1];	// Save the last string - it is lost in the array_shift/array_push process
//echo '$lastVal = '.$lastVal.'<br/>'; // Debug Code
for ($j=1; $j<($moStart-1); $j++) {	// Shift array to proper position for 'current' month
	$junk = array_shift($moSequence);
	array_push($moSequence,$junk);
}
array_push($moSequence,$lastVal);	// Retrieved lost member
if ( $moStart == 12 ) {$moSequence[13]= "JFM/".(($moStart>$cur_mon)?$yrPlus:$yrPlus2);}
else if ( $moStart == 11 ) {$moSequence[13] = "D/".$yrPlus."-JF/".$yrPlus2;}
else if ( $moStart == 10 ) {$moSequence[13] = "ND/".$yrPlus."-J/".$yrPlus2;}
else { $moSequence[13] = $moSequence[1].'/'.$yrPlus;}
//for ($i=1; $i<14; $i++) echo '$moSequence['.$i.'] = '.$moSequence[$i].'<br/>'; // Debug Code
?>

<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" class="center" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'auto' : $divWidth.'px') ?>; border:inset">
<?php } else { ?>
	<div id="main-copy" class="center" style="width:auto border:inset">
<?php }	?>
	<div class="center" style="width:<?php echo $divWidth?>px">
	<br/><h2 align="center">
		<?php if (!$standAlone) {
			langtrans("NWS CPC Long-Term Temperature and Precipitation Outlooks");
		} else {
			echo 'NWS CPC Long-Term Temperature and Precipitation Outlooks';
		} ?></h2>
    <?php echo $standAlone||$wideScreen?'<p':'<h3'?> align="center" ><a style="line-height:100%;<?php echo $standAlone||$wideScreen?' font-size:20px; font-weight:bold; color:blue':''?>" href="wxcpcoutlook<?php echo $standAlone?'-SA':''?>.php">Near Term Outlooks</a><?php echo $standAlone||$wideScreen?'</p>':'</h3>'?><hr/>
    <div id="tempOutlook" class="center" style="text-align:center; display:block">
      <span class="center"><span style="font-size:larger; font-weight:bold">Long Range Temperature Outlook in 3 Month Sequences</span><br/>
		  <a style="font-weight:bold; padding: 0px; cursor:pointer; line-height:180%" onclick="toggle_section()">Click for Precipitation Outlook</a><br/>
      <?php 
				echo '<table border="1" align="left" style="width:100%;border-collapse:collapse"><tbody><tr>'; // Create link table
				for ($i=1; $i<14; $i++) {
					if (!($i%7)) { // We've reached the end of the first day, so end row and start a new day and row
			  		echo '<td>&nbsp;<a style="font-weight: bold; padding: 0px; cursor:pointer; line-height:180% " '.($mouseOver?'onmouseover':'onclick').'="show_tab(\'mos'.$i.'\')">'.$moSequence[$i].'</a>&nbsp;</td></tr>';
					} else if ($i%7) { // Otherwise add a cell/link to current row
			  		echo '<td><a style="font-weight: bold; padding: 0px; cursor:pointer; line-height:180% " '.($mouseOver?'onmouseover':'onclick').'="show_tab(\'mos'.$i.'\')">'.$moSequence[$i].'</a>&nbsp;</td>';
			  		if ($i==13) {echo '<tr>';} // and begin another one
					}
				}
				echo '</tbody></table>';
				?>
        
        </span>
	    <div class="center" style="line-height:150%; font-size:10px; font-weight:bold">(<?php echo ($mouseOver?'Mouse over':'Click')?> a link to display a new chart.)</div>
      <hr/>
		<div class="center" style="width:<?php echo $imageWidth?>px; height:<?php echo $imageHeight?>px; position:relative">
    <?php
			$t_or_p = '_temp';
			for ($i=1; $i<14; $i++) {
				if ($wideScreen) {
					if ($_SESSION['CSSwidescreen']!=1) { 
        echo '<a href="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead'.($i>9?$i:'0'.$i).'/off'.($i>9?$i:'0'.$i).$t_or_p.'.gif" target="_blank" title="Larger Image">'; }}
			echo	'<img src="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead'.($i>9?$i:'0'.$i).'/off'.($i>9?$i:'0'.$i).$t_or_p.'.gif" id="mos'.$i.'" class="hidden" style="width:'.$imageWidth.'px; height:'.$imageHeight.'px" alt=""/>';
			  if ($wideScreen) {
			    if ($_SESSION['CSSwidescreen']!=1 ) echo '</a>';
				}
			}?>
    
      <!-- Display first chart -->
	  <div id="tempBlock" class="center" style="width:<?php echo $divWidth?>px; height:<?php echo $imageHeight?>px; display:block">
        <a href="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead01/off01_temp.gif" target="_blank" title="Larger Image"><img src="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead01/off01_temp.gif" style="width:<?php echo $imageWidth?>px; height:<?php echo $imageHeight?>px;" alt=""/></a>
    </div>
    </div>
		<p align="center"><a style="font-weight:bold; padding: 0px; cursor:pointer; line-height:120%" onclick="toggle_section()">Click for Precipitation Outlook</a></p>
    </div>
    <div id="precipOutlook" class="center" style="text-align:center; display:none">
      <span class="center"><span style="font-size:larger; font-weight:bold">Long Range Precipitation Outlook in 3 Month Sequences</span><br/>
			<a style="font-weight:bold; padding: 0px; cursor:pointer; line-height:180%" onclick="toggle_section()">Click for Temperature Outlook</a><br/>
      <?php
			  echo '<table border="1" align="left" style="width:100%; border-collapse:collapse"><tbody>'; // Create link table
				for ($i=1; $i<14; $i++) {
					if (!($i%7)) { // We've reached the end of the first day, so end row and start a new day and row
			  		echo '<td>&nbsp;<a style="font-weight: bold; padding: 0px; cursor:pointer; line-height:180% " '.($mouseOver?'onmouseover':'onclick').'="show_tab2(\'mos'.$i.'p\')">'.$moSequence[$i].'</a>&nbsp;</td></tr>';
					} else if ($i%7) { // Otherwise add a cell/link to current row
			  		echo '<td><a style="font-weight: bold; padding: 0px; cursor:pointer; line-height:180% " '.($mouseOver?'onmouseover':'onclick').'="show_tab2(\'mos'.$i.'p\')">'.$moSequence[$i].'</a>&nbsp;</td>';
			  		if ($i==13) {echo '<tr>';} // and begin another one
					}
				}
			echo '</tbody></table>';?>
			</span>
	    <div class="center" style="line-height:150%; font-size:10px; font-weight:bold">(<?php echo ($mouseOver?'Mouse over':'Click')?> a link to display a new chart.)</div>
      <hr/>
		<div class="center" style="width:<?php echo $imageWidth?>px; height:<?php echo $imageHeight?>px; position:relative">
		<?php
			$t_or_p='_prcp';
			for ($i=1; $i<14; $i++) {
				if ($wideScreen) {
					if ($_SESSION['CSSwidescreen']!=1) { 
        echo '<a href="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead'.($i>9?$i:'0'.$i).'/off'.($i>9?$i:'0'.$i).$t_or_p.'.gif" target="_blank" title="Larger Image">'; }}
			echo	'<img src="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead'.($i>9?$i:'0'.$i).'/off'.($i>9?$i:'0'.$i).$t_or_p.'.gif" id="mos'.$i.'p" class="hidden" style="width:'.$imageWidth.'px; height:'.$imageHeight.'px" alt=""/>';
			  if ($wideScreen) {
			    if ($_SESSION['CSSwidescreen']!=1 ) echo '</a>';
				}
			}?>
      <!-- Display first chart -->
	  <div id="precipBlock" class="center" style="width:<?php echo $divWidth?>px; height:<?php echo $imageHeight?>px; display:none">
        <a href="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead01/off01_prcp.gif" target="_blank" title="Larger Image"><img src="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/lead01/off01_prcp.gif" style="width:<?php echo $imageWidth?>px; height:<?php echo $imageHeight?>px;" alt=""/></a>
      </div>
      </div>
		<p align="center"><a style="font-weight:bold; padding: 0px; cursor:pointer; line-height:120%" onclick="toggle_section()">Click for Temperature Outlook</a></p>
      </div>
    <hr/>
      <?php echo $divWidth!=$maxWidth?'<p align="center" style="font-size:14px; font-weight:bold"><a href="wxcpcltoutlook-SA.php" target="_blank" title="Largest Maps in New Tab">Full Size Maps</a></p>':''?>
    <div align="center">
    <span style="font-size:<?php echo $standAlone||$wideScreen?'16':'9'?>px">
		Maps and Data Courtesy of NOAA NWS <a href="https://www.cpc.ncep.noaa.gov/" target="_blank" title="Opens in New Tab">Climate Prediction Center's</a> Official <a href="https://www.cpc.ncep.noaa.gov/products/predictions/long_range/seasonal.php?lead=1" target="_blank" title="Opens in New Tab">Long Range Forecasts</a>.</span><br/>
	</div>
  </div>
</div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
	date_default_timezone_set($SITE['tz']);	# Reset to default TimeZone
	if (file_exists('footer-invalid.php')) include "footer-invalid.php";
	else include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>
